#version 330 core

layout(location = 0) in vec3 position;
layout(location = 1) in vec3 normal;
layout(location = 2) in vec2 texCoord;
layout(location = 3) in vec2 boneWeights;
layout(location = 4) in ivec2 boneIndices;

out vec2 fTexCoord;

void main()
{
	gl_Position = vec4(position, 1.0);
	fTexCoord = texCoord;
}