#version 330 core
uniform mat4 MVP;

layout(location = 0) in vec2 vertex;
layout(location = 1) in vec2 texCoord;
out vec2 fTexCoord;

void main(void) {
	gl_Position = MVP * vec4(vertex, 0.0, 1.0);
	fTexCoord = texCoord;
}