#version 330 core
layout(location = 0) in vec3 position;
layout(location = 1) in float lifetime;

uniform mat4 M;
uniform mat4 V;
uniform mat4 P;

uniform vec3 cameraLocation;

out float gLifetime;
out vec2 gTexCoord;

void main()
{
	gl_Position = vec4(position, 1.0);
	gLifetime = lifetime;
	gTexCoord = vec2(0.0, 0.0);
}